\usepackage{tikz}
\usetikzlibrary{arrows,calc,positioning,shapes.multipart}

\newenvironment{clases}[1][]{
  \begin{tikzpicture}[
  class/.style={
    draw,shape=rectangle split,
    rectangle split parts=2,
    fill=structure!20,
    text depth=0
  },
  interface/.style={class,fill=green!20},
  inherits/.style={-open triangle 60},
  implements/.style={inherits,dashed},
  contains/.style={very thick,diamond-},#1
  ]
  \newcommand<>{\class}[4][]{
    \node##5[class,##1] (##2) {
      ##3
      \nodepart{second}
      \begin{tabular}{cl}
      ##4
      \end{tabular}
    };
  }
  \newcommand<>{\interface}[4][]{\class##5[interface,##1]{##2}{\emph{##3}}{##4}}

  \newcommand{\mpublic}[1]{\raise.2ex\hbox{+} & ##1 \\}
  \newcommand{\mprotected}[1]{@ & ##1 \\}
  \newcommand{\mprivate}[1]{\raise.2ex\hbox{-} & ##1 \\}
}{\end{tikzpicture}}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: "presentacion"
%%% End:
